trace_transaction
POST
Traces the execution of a specific transaction. This method provides information about all significant events that occurred during the transaction execution (e.g., function calls, gas consumption, generated logs).
param[0]
transactionHashstringrequired
Transaction hash is the unique identifier of a transaction. Transaction hashes are expressed as 64-digit hexadecimal strings.Responses
Information about the traced action
fromstring
Caller addresscallTypestring
Call type (call, delegatecall, staticcall, etc.)gasstring
Gas limit set for the call (hex)inputstring
Call input data (hex)tostring
Callee addressvaluestring
Amount of ETH transferred (hex, in wei)blockHashstring
Hash of the block containing the transactionblockNumberinteger
Block number containing the transactionCall result
gasUsedstring
Actual gas used (hex)outputstring
Call return data (hex)subtracesinteger
Number of sub-tracestraceAddressarray
Index array representing the trace pathtransactionHashstring
Hash of the traced transactiontransactionPositioninteger
Position of the transaction within the blocktypestring
Trace type (call, create, reward, etc.)codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://ethereum-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "trace_transaction","params": ["0x17104ac9d3312d8c136b7f44d4b8b47852618065ebfa534bd2d3b5ef218ca1f3"]}'